Bug 520164 - saCkptCheckpointOpen ipc failure results in random error
Summary: saCkptCheckpointOpen ipc failure results in random error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Steven Dake
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 17:16 UTC by Steven Dake
Modified: 2016-04-26 14:28 UTC (History)
3 users (show)

Fixed In Version: openais-0.80.6-11.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:48:36 UTC


Attachments (Terms of Use)
patch to fix problem. (457 bytes, patch)
2009-08-28 17:17 UTC, Steven Dake
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0180 normal SHIPPED_LIVE openais bug fix update 2010-03-29 12:18:57 UTC

Description Steven Dake 2009-08-28 17:16:04 UTC
Description of problem:
QE found a problem where saCkptCheckpointOpen would return a random undefined error.

Version-Release number of selected component (if applicable):
openais-0.80.6-8

How reproducible:
100%

Steps to Reproduce:
1.  Not sure, QE reproduces
2.
3.
  
Actual results:
A random error is returned from the API in some failure scenarios.

Expected results:
The proper error code SA_AIS_ERR_LIBRARY should be returned.

Additional info:
This is not a regression.

Comment 1 Steven Dake 2009-08-28 17:17:51 UTC
Created attachment 359101 [details]
patch to fix problem.

Comment 4 errata-xmlrpc 2010-03-30 07:48:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0180.html


Note You need to log in before you can comment on or make changes to this bug.